﻿using System;
using System.Collections.ObjectModel;

namespace SilverlightApplication1.ViewModels
{
    public class MainViewModel
    {
        public ObservableCollection<Region> Regions { get; set; }
        public ObservableCollection<ITreatment> Treatments { get; set; }
        public DiagramViewModel DiagramSource { get; set; }

        public MainViewModel()
        {
            this.Regions = new ObservableCollection<Region>();
            for (int i = 0; i < 5; i++)
            {
                this.Regions.Add(new Region { Name = String.Format("Region {0}",i)});
            }
            this.Treatments = new ObservableCollection<ITreatment>();
            for (int j = 0; j < 5; j++)
            {
                this.Treatments.Add(new ITreatment { Name = String.Format("Treatment {0}", j) });
            }

            this.DiagramSource = new DiagramViewModel();
        }
    }
}
